<?php 
include('header.php');

require('model/GetQuotation.php');

// Define the URL and credentials for the token request
$tokenUrl = "http://adentrn.worksafeonline.co.uk/api/Token";
$credentials = [
    'username' => 'support.sss', // Replace with actual username
    'password' => 'simplesoft21'  // Replace with actual password
];

// Define the URL for the data request
$dataUrl = "http://adentrn.worksafeonline.co.uk/api/QuotationList";
$headerUrl = "http://adentrn.worksafeonline.co.uk/api/QuotationCount";

// Create an instance of the GetQuotation class
$getQuotation = new GetQuotation($tokenUrl, $credentials, $dataUrl); 

// Get the data
$response = $getQuotation->getData();

// Create an instance of the GetQuotation class
$getQuotationHeader = new GetQuotation($tokenUrl, $credentials, $headerUrl);

// Get the data
$headerResponse = $getQuotationHeader->getData();

$msg_alert = "";

?>

<style>
.getStyleInfo {
    font-size: 12px;
}

.getCustomersInfo {
    font-size: 12px;
}

#customerTable>thead>tr>th {
    font-size: 12px;
}

.selected-style-item {
    background-color: rgb(0 84 215 / 15%);
}

.parent-container {
    position: relative;
    width: 100%; /* Parent container takes full width */
}
.table-container {
    display: none; /* Initially hide the table */
    position: absolute;
    top: 100%;
    left: 0;
    /* width: 100%; Table width matches input width */
    z-index: 1000;
    background-color: white;
    border: 1px solid #ccc;
    border-radius: 0.25rem;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
}
.table-responsive {
    padding: 5px;
    overflow-y: auto;
}

.tooltip {
    z-index: 100000000; 
}

</style>

<!-- [ Main Content ] start -->

<section class="pcoded-main-container">

    <div class="pcoded-content">

        <div class="row">

            <div class="col-md-6 col-xl-3">
                <div class="card bg-c-red order-card">
                    <div class="card-body">
                        <h6 class="text-white">Total Quotesb</h6>
                        <h4 class="text-right text-white"><i
                                class="feather icon-bar-chart float-left"></i><span><?= $headerResponse['TotalQuotes']; ?></span>
                        </h4>
                    </div>
                </div>
            </div>

            <!-- order-card start -->
            <div class="col-md-6 col-xl-3">
                <div class="card bg-c-blue order-card">
                    <div class="card-body">
                        <h6 class="text-white">Total Active</h6>
                        <h4 class="text-right text-white"><i
                                class="feather icon-bar-chart float-left"></i><span><?= $headerResponse['TotalActive']; ?></span>
                        </h4>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-xl-3">
                <div class="card bg-c-green order-card">
                    <div class="card-body">
                        <h6 class="text-white">Total Follow Up</h6>
                        <h4 class="text-right text-white"><i
                                class="feather icon-bar-chart float-left"></i><span><?= $headerResponse['TotalFollowUp']; ?></span>
                        </h4>
                    </div>
                </div>
            </div>
            <div class="col-md-6 col-xl-3">
                <div class="card bg-c-yellow order-card">
                    <div class="card-body">
                        <h6 class="text-white">Total Completed</h6>
                        <h4 class="text-right text-white"><i
                                class="feather icon-bar-chart float-left"></i><span><?= $headerResponse['TotalCompleted']; ?></span>
                        </h4>
                    </div>
                </div>
            </div>

        </div>

        <!-- [ Main Content ] start -->

        <div class="row">

            <!-- [ quotation modal start ] start -->
            <div class="modal fade newQuotationModal" tabindex="-1" role="dialog" aria-labelledby="myLargeModalLabel"
                aria-hidden="true">
                <div class="modal-dialog modal-xl modal-dialog-centered" style="max-width: 95%;">
                    <div class="modal-content" style="height: 85vh;">
                        <div class="modal-header">
                            <ul class="nav nav-pills nav-fill mt-3 pb-3 w-100" id="pills-tab" role="tablist">

                                <li class="nav-item">

                                    <a class="nav-link active" id="pills-customer-tab" data-toggle="pill"
                                        href="#pills-customer" role="tab" aria-controls="pills-home"
                                        aria-selected="true"><i class="fas fa-user-circle mr-2"></i> Customer</a>

                                </li>

                                <li class="nav-item">

                                    <a class="nav-link" class="product-tab" id="pills-profile-tab" data-toggle="pill"
                                        href="#pills-profile" role="tab" aria-controls="pills-profile"
                                        aria-selected="false"><i class="fas fa-cube mr-2"></i> Products</a>

                                </li>

                                <li class="nav-item">

                                    <a class="nav-link" id="pills-confirm-tab" data-toggle="pill" href="#pills-confirm"
                                        role="tab" aria-controls="pills-contact" aria-selected="false"><i
                                            class="fas fa-check-circle mr-2"></i> Confirm</a>

                                </li>

                                <li class="nav-item">

                                    <a class="nav-link" id="pills-template-tab" data-toggle="pill"
                                        href="#pills-template" role="tab" aria-controls="pills-template"
                                        aria-selected="false"><i class="fas fa-list mr-2"></i> Template</a>

                                </li>

                            </ul>
                        </div>
                        <div class="modal-body customer-scroll1">

                            <!-- Preloader -->
                            <div id="preloaderEdit" class="d-flex justify-content-center align-items-center"
                                style="height: 100vh; display: none;">
                                <div class="spinner-border text-primary" role="status">
                                    <span class="sr-only">Loading...</span>
                                </div>
                            </div>

                            <div class="card-body p-0 mb-4 navfillsContainer">

                                <div class="tab-content" id="pills-tabContent">

                                    <div class="tab-pane fade show active" id="pills-customer" role="tabpanel"
                                        aria-labelledby="pills-home-tab">
                                        <!--custom preloader-->
                                        <div class="custom-preloader bg-primary"
                                            style="position: relative; display: none;">
                                            <div class="loader-track">
                                                <div class="loader-fill"></div>
                                            </div>
                                        </div>

                                        <div class="container mt-4">

                                            <div class="row">

                                                <div class="col-md-4">

                                                <div class="form-group row">
                                                    <label for="customer" class="col-form-label col-sm-3">Customer:</label>
                                                    <div class="col-sm-9">
                                                        <div class="parent-container">
                                                            <div class="input-group">
                                                                <input type="text" class="form-control search-input" data-table="customer" id="customersList" placeholder="Select customer" data-customerId="" />
                                                                <div class="input-group-append">
                                                                    <button class="btn btn-primary p-0 pl-2 pr-2 toggle-btn" type="button"><i class="fas fa-caret-down"></i></button>
                                                                </div>
                                                            </div>
                                                            <div class="table-container" id="tableContainer">
                                                                <div class="table-responsive">
                                                                    <table class="table table-bordered table-striped table-contract-sub-items table-sm" id="customerTable">
                                                                        <thead>
                                                                            <tr>
                                                                                <th>Customer</th>
                                                                                <th>Address Code</th>
                                                                                <th>Customer Name</th>
                                                                                <th>Post Code</th>
                                                                            </tr>
                                                                        </thead>
                                                                        <tbody style="cursor: pointer;">
                                                                            <!-- Data will be inserted here -->
                                                                        </tbody>
                                                                    </table>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>


                                                    <div class="form-group row">
                                                        <label for="internal_comments"
                                                            class="col-form-label col-sm-3">Address:</label>
                                                        <div class="col-sm-9">
                                                            <textarea class="form-control" id="externalComments"
                                                                rows="5"></textarea>
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">
                                                        <label for="customer" class="col-form-label col-sm-3">Contract:</label>
                                                        <div class="col-sm-9">
                                                            <div class="parent-container">
                                                                <div class="input-group">
                                                                    <input type="text" class="form-control search-input" data-table="contract" data-contract_name="" id="contractCustomersList" placeholder="Select contract" data-customerId="" />
                                                                    <input type="hidden" id="contractName" value=""/>
                                                                    <div class="input-group-append">
                                                                        <button class="btn btn-primary p-0 pl-2 pr-2 toggle-btn" type="button"><i class="fas fa-caret-down"></i></button>
                                                                    </div>
                                                                </div>
                                                                <div class="table-container" id="tableContainerContract">
                                                                    <div class="table-responsive">
                                                                        <table class="table table-bordered table-striped table-contract-sub-items table-sm" id="contractCustomerTable">
                                                                            <thead>
                                                                                <tr>
                                                                                    <th>Customer</th>
                                                                                    <th>Address Code</th>
                                                                                    <th>Contract Name</th>
                                                                                    <th>Username</th>
                                                                                </tr>
                                                                            </thead>
                                                                            <tbody style="cursor: pointer;">
                                                                                <!-- Data will be inserted here -->
                                                                            </tbody>
                                                                        </table>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">

                                                        <label for="email"
                                                            class="col-form-label col-sm-3">Email:</label>
                                                        <div class="col-sm-9">
                                                            <input type="email" class="form-control" id="email"
                                                                value="">
                                                        </div>

                                                    </div>

                                                    <div class="form-group row">

                                                        <label for="telephone"
                                                            class="col-form-label col-sm-3">Telephone:</label>
                                                        <div class="col-sm-9">
                                                            <input type="number" class="form-control" id="telephone"
                                                                value="">
                                                        </div>

                                                    </div>

                                                    <div class="form-group row">

                                                        <label for="mobile"
                                                            class="col-form-label col-sm-3">Mobile:</label>
                                                        <div class="col-sm-9">
                                                            <input type="number" class="form-control" id="mobile"
                                                                value="">
                                                        </div>

                                                    </div>

                                                </div>

                                                <div class="col-md-4">

                                                    <div class="form-group row">
                                                        <label for="sent_by"
                                                            class="col-form-label col-sm-3">Reference:</label>
                                                        <div class="col-sm-9">
                                                            <input type="text" class="form-control" id="reference"
                                                                value="">
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">
                                                        <label for="sent_by" class="col-form-label col-sm-3">Sent
                                                            by:</label>
                                                        <div class="col-sm-9">
                                                            <select class="form-control" id="staffOptionList"
                                                                aria-label="Default select example">
                                                            </select>
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">

                                                        <label for="follow_up_by" class="col-form-label col-sm-3">Follow
                                                            up by:</label>
                                                        <div class="col-sm-9">
                                                            <select class="form-control" id="followUpOptionList"
                                                                aria-label="Default select example">
                                                            </select>
                                                        </div>

                                                    </div>

                                                    <div class="form-group row">
                                                        <label for="internal_comments"
                                                            class="col-form-label col-sm-3">Internal Comments:</label>
                                                        <div class="col-sm-9">
                                                            <textarea class="form-control" id="internalComments"
                                                                rows="8"></textarea>
                                                        </div>
                                                    </div>

                                                </div>

                                                <div class="col-md-4">

                                                    <div class="form-group row">

                                                        <label for="quote_no" class="col-form-label col-sm-4">Quote
                                                            no:</label>
                                                        <div class="col-sm-8">
                                                            <input type="text" class="form-control" id="quote_no"
                                                                value="" readonly>
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">

                                                        <label for="quoteDate"
                                                            class="col-form-label col-sm-4">Date:</label>
                                                        <div class="col-sm-8">
                                                            <input type="date" class="form-control" id="quoteDate"
                                                                value="">
                                                        </div>

                                                    </div>

                                                    <div class="form-group row">

                                                        <label for="validDate"
                                                            class="col-form-label col-sm-4">Valid:</label>
                                                        <div class="col-sm-8">
                                                            <input type="date" class="form-control" id="validDate"
                                                                value="">
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">

                                                        <label for="followUpDate" class="col-form-label col-sm-4">Follow
                                                            Up:</label>
                                                        <div class="col-sm-8">
                                                            <input type="date" class="form-control" id="followUpDate"
                                                                value="">
                                                        </div>
                                                    </div>

                                                    <div class="form-group row">
                                                        <label for="internal_comments"
                                                            class="col-form-label col-sm-4">External Comments:</label>
                                                        <div class="col-sm-8">
                                                            <textarea class="form-control" id="address"
                                                                rows="8"></textarea>
                                                        </div>
                                                    </div>

                                                </div>

                                            </div>

                                        </div>

                                    </div>

                                    <div class="tab-pane fade" id="pills-profile" role="tabpanel"
                                        aria-labelledby="pills-profile-tab">

                                        <div class="topLevelContainer container mt-4">

                                            <div class="row">

                                                <div class="col-lg-4 col-md-12">

                                                    <div class="form-group row">

                                                        <label for="customer" class="col-sm-3">Customer:</label>
                                                        <div class="col-sm-9">
                                                            <input type="text" class="form-control" id="customer_id_2"
                                                                value="" readonly>
                                                            <input type="hidden" class="form-control"
                                                                id="selected_style" value="" readonly>
                                                            <input type="hidden" class="form-control" id="salesPrice"
                                                                value="" readonly>
                                                            <input type="hidden" class="form-control"
                                                                id="PurchasePrice" value="" readonly>
                                                        </div>

                                                    </div>

                                                    <div class="form-group row">
                                                        <label for="style" class="col-sm-3">Style:</label>
                                                        <div class="col-sm-9">
                                                            <div class="parent-container">
                                                                <div class="input-group">
                                                                    <input type="text" class="form-control search-input" data-table="style" id="stylesList" placeholder="Select Style" />
                                                                    <div class="input-group-append">
                                                                        <button class="btn btn-primary p-0 pl-2 pr-2 toggle-btn" type="button"><i class="fas fa-caret-down"></i></button>
                                                                    </div>
                                                                </div>
                                                                <div class="table-container" id="tableContainerStyles">
                                                                    <div class="table-responsive">
                                                                        <table class="table table-bordered table-striped table-contract-sub-items table-sm" id="stylesTable">
                                                                            <thead>
                                                                                <tr>
                                                                                    <th>Style</th>
                                                                                    <th>Description</th>
                                                                                    <th>Status</th>
                                                                                    <th>Supplier</th>
                                                                                    <th>Supplier Ref</th>
                                                                                    <th>BOM</th>
                                                                                    <th>Customer</th>
                                                                                    <th>Online Status</th>
                                                                                </tr>
                                                                            </thead>
                                                                            <tbody>
                                                                                <!-- Data will be inserted here -->
                                                                            </tbody>
                                                                        </table>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="row">

                                                        <div class="col-sm-3"></div>

                                                        <table class="table table-bordered">

                                                            <thead>

                                                                <tr>

                                                                    <th>ST</th>

                                                                    <th>TC</th>

                                                                    <th>WEB/AC</th>

                                                                    <th>BL</th>

                                                                </tr>

                                                            </thead>

                                                            <tbody>

                                                                <tr>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="ST"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="TC"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="WEB_AC"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="BL"></td>

                                                                </tr>

                                                            </tbody>

                                                        </table>

                                                        <table class="table table-bordered">

                                                            <thead>

                                                                <tr>

                                                                    <th>AC 01</th>

                                                                    <th>AC 02</th>

                                                                    <th>AC 03</th>

                                                                    <th>AC 04</th>

                                                                </tr>

                                                            </thead>

                                                            <tbody>

                                                                <tr>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="AC_01"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="AC_02"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="AC_03"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="AC_04"></td>

                                                                </tr>

                                                            </tbody>

                                                        </table>

                                                    </div>

                                                </div>

                                                <div class="col-lg-5 col-md-12">

                                                    <div class="row">
                                                        <label class="col-sm-1">Price:</label>
                                                        <div class="col-sm-11">

                                                            <div class="row">

                                                                <div class="col-sm-3">

                                                                    <div class="form-group">
                                                                        <input type="text" class="form-control"
                                                                            id="size1" value="">
                                                                    </div>

                                                                    <div class="form-group">
                                                                        <input type="text" class="form-control"
                                                                            id="size2" value="">
                                                                    </div>

                                                                    <div class="form-group">
                                                                        <input type="text" class="form-control"
                                                                            id="size3" value="">
                                                                    </div>

                                                                </div>

                                                                <div class="col-sm-3">

                                                                    <div class="form-group">
                                                                        <input type="text" class="form-control"
                                                                            id="price1" value="">
                                                                    </div>

                                                                    <div class="form-group">
                                                                        <input type="text" class="form-control"
                                                                            id="price2" value="">
                                                                    </div>

                                                                    <div class="form-group">
                                                                        <input type="text" class="form-control"
                                                                            id="price3" value="">
                                                                    </div>

                                                                </div>

                                                                <div class="col-sm-3">

                                                                    <div class="form-group">
                                                                        <input type="text" class="form-control"
                                                                            id="margin" value="">
                                                                    </div>

                                                                </div>

                                                                <div class="col-sm-3">

                                                                    <div class="form-group">
                                                                        <input type="text" class="form-control" id="cp"
                                                                            value="CP" readonly>
                                                                    </div>

                                                                </div>

                                                            </div>

                                                        </div>
                                                    </div>

                                                    <div class="row">

                                                        <div class="col-sm-1"></div>

                                                        <div class="col-sm-11">

                                                            <div class="row m-0">

                                                                <div
                                                                    class="form-group form-check align-self-center mb-0 mt-2 p-0">

                                                                    <div class="custom-control custom-switch">
                                                                        <input type="checkbox"
                                                                            class="custom-control-input"
                                                                            id="applyToAll">
                                                                        <label class="custom-control-label"
                                                                            for="applyToAll">Apply to all</label>
                                                                    </div>

                                                                </div>

                                                                <div
                                                                    class="form-group form-check align-self-center mb-0 mt-2">

                                                                    <div class="custom-control custom-checkbox">
                                                                        <input type="checkbox"
                                                                            class="custom-control-input"
                                                                            id="upliftCheck">
                                                                        <label class="custom-control-label"
                                                                            for="upliftCheck">Uplift (<span
                                                                                id="uplift">0</span>%)</label>
                                                                    </div>

                                                                </div>

                                                            </div>

                                                        </div>

                                                    </div>

                                                </div>

                                                <div class="col-lg-3 col-md-12">

                                                    <div class="form-group row">

                                                        <label for="customer" class="col-sm-3 p-0">Quote:</label>
                                                        <div class="col-sm-9 p-0">
                                                            <input type="text" class="form-control" id="quote_no_2"
                                                                value="" readonly>
                                                        </div>

                                                    </div>

                                                    <div class="row">

                                                        <div class="col-sm-3"></div>

                                                        <table class="table table-bordered">

                                                            <thead>

                                                                <tr>

                                                                    <th>#</th>

                                                                    <th>QTY 1</th>

                                                                    <th>QTY 2</th>

                                                                    <th>QTY 3</th>

                                                                    <th>QTY 4</th>

                                                                </tr>

                                                            </thead>

                                                            <tbody>

                                                                <tr>
                                                                    <td>Price Break</td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="Bulk_Qty1"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="Bulk_Qty2"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="Bulk_Qty3"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="Bulk_Qty4"></td>

                                                                </tr>

                                                                <tr>
                                                                    <td>Unit Price</td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="Bulk_Disc1"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="Bulk_Disc2"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="Bulk_Disc3"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="Bulk_Disc4"></td>

                                                                </tr>

                                                                <tr>
                                                                    <td>Margin</td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="Margin_Count1"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="Margin_Count2"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="Margin_Count3"></td>

                                                                    <td><input type="number" class="form-control"
                                                                            value="0" id="Margin_Count4"></td>

                                                                </tr>

                                                            </tbody>

                                                        </table>

                                                    </div>

                                                </div>


                                            </div>

                                            <div class="row">

                                                <div class="col-lg-12 col-md-12 text-right align-self-center p-0">

                                                    <div class="form-group align-self-end mb-0 mt-2">

                                                        <button type="button" class="btn btn-primary" id="addStyleBtn"
                                                            style="width: 150px;">Add</button>

                                                    </div>

                                                </div>

                                            </div>

                                            <hr />

                                            <div class="row">

                                                <div style="width: 100%;" class="bottomLevelContainer">

                                                    <table class="table table-bordered" id="addStyleItems">

                                                        <thead>

                                                            <tr>

                                                                <th>Line</th>

                                                                <th>Style</th>

                                                                <th>Status</th>

                                                                <th>Price</th>

                                                                <th>Aw Price</th>

                                                                <th>Art</th>

                                                                <th>Total</th>

                                                                <th>All</th>

                                                                <th>Uplift</th>

                                                                <th>Margin</th>

                                                                <th>SKU</th>

                                                                <th>Delete</th>

                                                            </tr>

                                                        </thead>

                                                        <tbody>

                                                        </tbody>

                                                    </table>


                                                </div>

                                            </div>

                                        </div>

                                    </div>

                                    <div class="tab-pane fade" id="pills-confirm" role="tabpanel"
                                        aria-labelledby="pills-contact-tab">

                                        <div class="container mt-4">

                                            <div class="table-wrapper">

                                                <table class="table table-bordered" id="templates_table">

                                                    <thead>

                                                    </thead>

                                                    <tbody>

                                                        <!-- Add more rows as needed -->

                                                    </tbody>

                                                </table>

                                            </div>

                                        </div>

                                    </div>

                                    <div class="tab-pane fade" id="pills-template" role="tabpanel"
                                        aria-labelledby="pills-contact-tab">

                                        <div class="container mt-4">

                                            <div class="search-bar">

                                                <input type="text" class="form-control"
                                                    placeholder="Enter text to search...">

                                            </div>

                                            <div class="table-wrapper">

                                                <table class="table table-bordered" id="final_template_table">

                                                    <thead>


                                                    </thead>

                                                    <tbody>

                                                        <!-- Add more rows as needed -->

                                                    </tbody>

                                                </table>

                                            </div>

                                        </div>

                                    </div>

                                </div>

                            </div>
                        </div>
                        <div class="modal-footer">
                            <div class="col-md-12 text-right m-0 p-0">
                                <button type="button" class="btn btn-primary" id="copyArtworkBtn"
                                    style="display: none;" data-toggle="modal" data-target="#CopyArtWorkModal">Copy Artwork</button>
                                <button type="button" class="btn btn-primary" id="addArtworkBtn" style="display: none;"
                                    data-toggle="modal" data-target="#ArtWorkModal">Add Artwork</button>
                                <button type="button" class="btn btn-secondary btnPrevious">Back</button>
                                <button type="button" class="btn btn-primary btnNext">Next</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!-- [ quotation modal end ] -->

            <!-- [ form-element ] start -->

            <div class="col-sm-12">

                <form method="post">

                    <div class="card table-card">

                        <div class="card-header">

                            <h5>Quotations</h5>

                            <div class="card-header-right">

                                <div class="btn-group card-option">

                                    <button type="button" class="btn bg-primary text-white mr-2 new-quotation-btn"
                                        id="addCustomerBtn"
                                        style="width: 140px; padding: 0px; height: 25px; right: 8px; top: 8px;"
                                        data-toggle="modal" data-target=".newQuotationModal">

                                        <i class="feather icon-plus"></i> New Quotation

                                    </button>

                                </div>

                                <div class="btn-group card-option">

                                    <button type="button" class="btn dropdown-toggle" data-toggle="dropdown"
                                        aria-haspopup="true" aria-expanded="false">

                                        <i class="feather icon-more-horizontal"></i>

                                    </button>

                                    <ul class="list-unstyled card-option dropdown-menu dropdown-menu-right">

                                        <li class="dropdown-item full-card"><a href="#!"><span><i
                                                        class="feather icon-maximize"></i> maximize</span><span
                                                    style="display:none"><i class="feather icon-minimize"></i>
                                                    Restore</span></a></li>

                                        <li class="dropdown-item minimize-card collapse-btn-list"><a href="#!"><span><i
                                                        class="feather icon-minus"></i> collapse</span><span
                                                    style="display:none"><i class="feather icon-plus"></i>
                                                    expand</span></a></li>

                                        <li class="dropdown-item reload-card"><a href="#!"><i
                                                    class="feather icon-refresh-cw"></i> reload</a></li>

                                        <li class="dropdown-item close-card"><a href="#!"><i
                                                    class="feather icon-trash"></i> remove</a></li>

                                    </ul>

                                </div>

                            </div>

                        </div>

                        <div class="card-body p-0 mb-4">

                            <div class="table-responsive">

                                <div class="customer-scroll" style="height:400px;position:relative;">

                                    <table class="table table-bordered table-striped table-sm" id="quotationDetails">

                                        <thead class="text-center">

                                            <tr>

                                                <th>Q. No</th>
                                                <th>Customer</th>
                                                <th>Del Code</th>
                                                <th>Name</th>
                                                <th>Follow Up By</th>
                                                <th>Follow Date</th>
                                                <th>Status</th>

                                            </tr>

                                        </thead>

                                        <tbody class="text-center">

                                            <?php
                                            
                                            if($response){
                                                foreach($response['CustomerQuotation'] as $quotation){
                                                    echo "<tr>
                                                            <td>{$quotation['Quotation_No']}</td>
                                                            <td>{$quotation['Customer']}</td>
                                                            <td>{$quotation['Address_Code']}</td>
                                                            <td>{$quotation['Customer_Name']}</td>
                                                            <td>{$quotation['FollowUpBy']}</td>
                                                            <td>{$quotation['Follow_Up_Date']}</td>
                                                            <td>{$quotation['Quotation_Status']}</td>
                                                          </tr>";
                                                }
                                            }
                                            
                                            ?>

                                        </tbody>

                                    </table>

                                </div>

                            </div>

                        </div>

                    </div>

                </form>

            </div>

            <!-- [ form-element ] end -->

            <!-- [ SKU View start ] -->

            <div id="SKUViewModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="SKUViewModalTitle"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-xl sku-dialog" role="document">
                    <div class="modal-content sku-dialog-content">
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-lg-3 col-md-12">
                                    <div class="row">
                                        <label class="col-sm-2" for="sku-style">Style: </label>
                                        <div class="col-sm-10">
                                            <p id="sku-style">

                                            </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-12">
                                    <div class="row">
                                        <label class="col-sm-4" for="sku-description">Description: </label>
                                        <div class="col-sm-8">
                                            <p id="sku-description">

                                            </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-3 col-md-12">
                                    <div class="form-group row">
                                        <label class="col-sm-4" for="sku-sales-price">Set Price: </label>
                                        <div class="col-sm-8">
                                            <input type="text" class="form-control" id="sku-sales-price" value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-2 col-md-12">
                                    <div class="custom-control custom-checkbox">
                                        <input type="checkbox" class="custom-control-input" id="sku-uplift">
                                        <label class="custom-control-label" for="sku-uplift">Uplift Apply</label>
                                    </div>
                                </div>
                            </div>

                            <div class="row">
                                <div class="col-lg-2 col-md-12">
                                    <div class="row">
                                        <label class="col-sm-6" for="sku-line-no">Line No: </label>
                                        <div class="col-sm-6">
                                            <p id="sku-line-no">
                                                1
                                            </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-3 col-md-12">
                                    <div class="row">
                                        <label class="col-sm-4" for="sku-supplier">Supplier: </label>
                                        <div class="col-sm-8">
                                            <p id="sku-supplier">
                                                Works
                                            </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-3 col-md-12">
                                    <div class="row">
                                        <label class="col-sm-6" for="sku-supplier-ref">Supplier Ref: </label>
                                        <div class="col-sm-6">
                                            <p id="sku-supplier-ref">
                                                Works Ref
                                            </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-4 col-md-12">
                                    <div class="custom-control custom-switch">
                                        <input type="checkbox" class="custom-control-input" id="sku-applyToAll">
                                        <label class="custom-control-label" for="sku-applyToAll">Apply to all</label>
                                    </div>
                                </div>
                                <!-- <div class="col-lg-2 col-md-12">
                                    <div class="form-group">
                                        <button type="button" class="btn btn-primary" id="sku-apply-btn"
                                            style="width: 150px;">Apply</button>
                                    </div>
                                </div> -->
                            </div>

                            <hr>

                            <div class="row customer-scroll2 ps" style="height: 400px;overflow-y: scroll;">

                                <div style="width: 100%;" class="bottomLevelContainer">

                                    <table class="table table-bordered" id="sku-view-table">

                                        <thead>

                                            <tr>

                                                <th class="col-2">Line</th>
                                                <th class="col-2">Colour</th>
                                                <th class="col-4">Description</th>
                                                <th class="col-2">Fitting</th>
                                                <th class="col-2">Sizes</th>
                                                <th class="col-2">Sales Price</th>

                                            </tr>

                                        </thead>

                                        <tbody>

                                        </tbody>

                                    </table>


                                </div>

                            </div>

                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn  btn-secondary" id="clear-sku-table-btn" data-dismiss="modal">Close</button>
                            <button type="button" class="btn  btn-primary" id="saveSKUViewBtn">Save changes</button>
                        </div>
                    </div>
                </div>
            </div>

            <!-- [ SKU View end ] -->

            <!-- [ Add Artwork start ] -->
            <div id="ArtWorkModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="ArtWorkModalTitle"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-xl sku-dialog" role="document">
                    <div class="modal-content sku-dialog-content">
                        <div class="modal-body">
                            <div class="row">
                                <div class="col-lg-3 col-md-12">
                                    <div class="row">
                                        <label class="col-sm-6" for="sku-description">Product Code: </label>
                                        <div class="col-sm-6">
                                            <p id="artwork-product-code">

                                            </p>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-3 col-md-12">
                                    <div class="form-group row">
                                        <!-- <label for="style" class="col-sm-3">Style:</label> -->
                                        <div class="col-sm-12">
                                            <div class="dropdown">
                                                <button class="btn btn-light dropdown-toggle form-control" type="button"
                                                    id="artworkSelectBtn" data-toggle="dropdown" aria-haspopup="true"
                                                    aria-expanded="false" style="overflow: hidden;">
                                                    Artwork Code
                                                </button>
                                                <div class="dropdown-menu" id="artworkDropdown"
                                                    aria-labelledby="dropdownMenuButton"
                                                    style="padding: 20px 50px 50px 50px;">
                                                    <table
                                                        class="table table-bordered table-striped table-contract-sub-items table-sm"
                                                        id="artworkTable">
                                                        <thead>
                                                            <tr>
                                                                <th>Item Code</th>
                                                                <th>Description</th>
                                                                <th>Status</th>
                                                                <th>Customer</th>
                                                                <th>Artwork Type</th>
                                                                <th>Sub Type</th>
                                                                <th>Size</th>
                                                                <th>Price</th>
                                                                <th>Setup Cost</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <!-- Data will be inserted here -->
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-2 col-md-12">
                                    <div class="form-group row">
                                        <!-- <label for="style" class="col-sm-3">Style:</label> -->
                                        <div class="col-sm-12">
                                            <div class="dropdown">
                                                <button class="btn btn-light dropdown-toggle form-control" type="button"
                                                    id="positionSelectBtn" data-toggle="dropdown" aria-haspopup="true"
                                                    aria-expanded="false" style="overflow: hidden;">
                                                    Position
                                                </button>
                                                <div class="dropdown-menu" id="artworkPositionDropdown"
                                                    aria-labelledby="dropdownMenuButton"
                                                    style="padding: 20px 50px 50px 50px;">
                                                    <table
                                                        class="table table-bordered table-striped table-contract-sub-items table-sm"
                                                        id="artworkPositionTable">
                                                        <thead>
                                                            <tr>
                                                                <th>Code</th>
                                                                <th>Position</th>
                                                            </tr>
                                                        </thead>
                                                        <tbody>
                                                            <!-- Data will be inserted here -->
                                                        </tbody>
                                                    </table>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-2 col-md-12">
                                    <div class="form-group row">
                                        <label class="col-sm-4" for="sku-sales-price">Price: </label>
                                        <div class="col-sm-8">
                                            <input type="text" class="form-control" id="artwork-current-price" value="">
                                        </div>
                                    </div>
                                </div>
                                <div class="col-lg-1 col-md-12">
                                    <div class="form-group">
                                        <button type="button" class="btn btn-primary" id="artwork-apply-btn"
                                            style="width: 150px;">Apply</button>
                                    </div>
                                </div>
                            </div>

                            <hr>

                            <div class="row customer-scroll2" style="height: 400px;overflow-y: scroll;">

                                <div style="width: 100%;" class="bottomLevelContainer">

                                    <table class="table table-bordered" id="artwork-view-table">

                                        <thead>

                                            <tr>

                                                <th class="col-1">Line</th>
                                                <th class="col-1">Artwork Code</th>
                                                <th class="col-1">Artwork Type</th>
                                                <th class="col-1">Sub Type</th>
                                                <th class="col-1">Size</th>
                                                <th class="col-2">Position</th>
                                                <th class="col-1">Qty</th>
                                                <th class="col-2">Price</th>
                                                <th class="col-2">Del</th>

                                            </tr>

                                        </thead>

                                        <tbody>

                                        </tbody>

                                    </table>


                                </div>

                            </div>

                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn  btn-secondary" id="clear-artwork-table" data-dismiss="modal">Close</button>
                            <button type="button" class="btn  btn-primary" id="saveArtworkChanges">Save changes</button>
                        </div>
                    </div>
                </div>
            </div>

            <!-- [ Add Artwork end ] -->


            <!-- [ Copy Artwork start ] -->
            <div id="CopyArtWorkModal" class="modal fade" tabindex="-1" role="dialog" aria-labelledby="ArtWorkModalTitle"
                aria-hidden="true">
                <div class="modal-dialog modal-dialog-centered modal-sm sku-dialog" role="document">
                    <div class="modal-content sku-dialog-content">
                        <div class="modal-body">

                        <div class="form-group row">
                            <label for="sent_by" class="col-form-label col-sm-6">Copy Artwork from Line no:</label>
                            <div class="col-sm-6">
                                <select class="form-control" id="CopyLinesOptionList"
                                    aria-label="Default select example">
                                </select>
                            </div>
                        </div>

                        </div>
                        <div class="modal-footer">
                            <button type="button" class="btn  btn-secondary" data-dismiss="modal">Close</button>
                            <button type="button" class="btn  btn-primary" id="copyArtworkToLine">Copy artwork</button>
                        </div>
                    </div>
                </div>
            </div>

            <!-- [ Copy Artwork end ] -->

        </div>

        <!-- [ Main Content ] end -->

    </div>

</section>

<!-- [ Main Content ] end -->

<?php include('footer.php'); ?>

<script type="text/javascript">
    
$(document).ready(function() {

    let addCustomerOpenedbyBtn = false;
    var customersTable;
    var dataFetched = false;
    var dataTableInitialized = false;
    let quoteNo = 0;
    let artworkLineNo = 0;
    // Initialize skuData object
    let skuData = {};
    let artworkData = [];

    let contractsTable = $('#contractCustomerTable').DataTable();
    // Example for initializing the DataTable for styles
    let stylesTable = null;

    $('[data-toggle="tooltip"]').tooltip();

    $('#quotationDetails').DataTable();

    interact('.sku-dialog').draggable({
        // enable inertial throwing
        inertia: true,
        // keep the element within the area of its parent
        modifiers: [
            interact.modifiers.restrictRect({
                restriction: 'parent',
                endOnly: true
            })
        ],
        // enable autoScroll
        autoScroll: true,
    
        // call this function on every dragmove event
        onmove: dragMoveListener,
        // call this function on every dragend event
        onend: function (event) {
            var textEl = event.target.querySelector('p');
        
            textEl && (textEl.textContent =
                'moved a distance of '
                + (Math.sqrt(event.dx * event.dx +
                    event.dy * event.dy) | 0) + 'px');
        }
    });

    function checkSecondTab() {
        if ($('.nav-pills .active').parent().index() === 1) {
            $("#copyArtworkBtn, #addArtworkBtn").show();
        }else if ($('.nav-pills .active').parent().index() === 3) {
            $(".btnNext").html("Save Quotation");
        } else {
            $(".btnNext").html("Next");
            $("#copyArtworkBtn, #addArtworkBtn").hide();
        }
    }

    // Next button click
    $('.btnNext').click(function() {
        var currentTabIndex = $('.nav-pills .active').parent().index();
        var nextTab = $('.nav-pills .active').parent().next('li').find('a');
        let customerId = $("#customer_id_2").val();

        console.log('index ' + currentTabIndex);

        if (currentTabIndex === 1) {
            // Show buttons if on the second tab
            checkSecondTab();
        }

        if (currentTabIndex === 1) {
            moveToNextTab(quoteNo, customerId);
            nextTab.trigger('click'); // Proceed with switching the tab
        } else if (currentTabIndex === 2) {
            moveToLastTab(quoteNo, customerId);
            nextTab.trigger('click'); // Proceed with switching the tab
        } else if (currentTabIndex === 3) {
            finishQuotation(quoteNo, customerId);
            nextTab.trigger('click'); // Proceed with switching the tab
        } else {
            // Proceed with switching to the next tab for other cases
            nextTab.trigger('click');
        }
    });

    // Previous button click
    $('.btnPrevious').click(function() {
        $('.nav-pills .active').parent().prev('li').find('a').trigger('click');
        checkSecondTab();
    });

    // Direct tab click
    $('.nav-pills li a').click(function() {
        $(this).tab('show');
        checkSecondTab();
    });

    // Ensure the check is performed when the tab is shown
    $('a[data-toggle="tab"]').on('shown.bs.tab', function() {
        checkSecondTab();
    });

    // Toggle table visibility
    $('.toggle-btn').click(function(){
        var parentContainer = $(this).closest('.parent-container');
        parentContainer.find('.table-container').toggle(); // Show/hide the table
    });

    // get quotation customers

    // Initialize DataTable
    function initializeDataTable() {
        customersTable = $('#customerTable').DataTable({
            // Add your DataTable options here
            destroy: true
        });
        dataTableInitialized = true;
    }

    // Handle input filtering for all input fields
    $('.search-input').on('input', function() {
        var input = $(this).val();
        var parentContainer = $(this).closest('.parent-container');
        var tableContainer = parentContainer.find('.table-container');
        let filteredTable;

        // Determine which table to filter based on data attribute
        if ($(this).data('table') === 'contract') {
            filteredTable = contractsTable;
        } else if ($(this).data('table') === 'customer') {
            filteredTable = customersTable;
        } else if ($(this).data('table') === 'style') {
            filteredTable = stylesTable;
        }

        // Show and filter the table based on input
        if ($.trim(input) !== '') {
            filteredTable.search(input).draw();
            if (!tableContainer.is(':visible')) {
                tableContainer.show();
            }
        } else {
            filteredTable.search('').draw();
            tableContainer.hide();
        }
    });

    // Attach the change event to Bulk_Disc inputs and PurchasePrice
    $("#Bulk_Disc1, #Bulk_Disc2, #Bulk_Disc3, #Bulk_Disc4, #PurchasePrice").on("input", function() {
        updateMarginCounts();
    });

    

    $(document).on('click', '#addCustomerBtn', function() {
        $(".newQuotationModal").modal('hide');
        $("#editModal").modal('show');

        $(".navfillsContainer").hide();
        $('#preloaderEdit').addClass('d-flex').show();

        if (!dataFetched) {
            $.post("controller/get_requests_model.php", {
                    identifier: 'fetchCustomers'
                })
                .done(function(response) {
                    $('#preloaderEdit').removeClass('d-flex').hide();

                    if (response.data) {
                        var tableBody = $('#customerTable tbody');
                        tableBody.empty();
                        response.data.quotationCustomer.forEach(function(item) {
                            var row = '<tr class="getCustomersInfo" data-customerid="' +
                                item.Customer + '" data-customername="' + item
                                .Customer_Name + '">' +
                                '<td>' + item.Customer + '</td>' +
                                '<td>' + item.Address_Code + '</td>' +
                                '<td>' + item.Customer_Name + '</td>' +
                                '<td>' + item.Post_Code + '</td>' +
                                '</tr>';
                            tableBody.append(row);
                        });

                        if (dataTableInitialized) {
                            customersTable.clear().rows.add(tableBody.children()).draw();
                        } else {
                            initializeDataTable();
                        }

                        $(".navfillsContainer").show();
                        $('#preloaderEdit').removeClass('d-flex').hide();
                        dataFetched = true;
                    } else {
                        alert('No customers found or unauthorized.');
                    }
                })
                .fail(function() {
                    alert('Error loading data.');
                    $('#preloaderEdit').removeClass('d-flex').hide();
                });
        } else {
            $('#preloaderEdit').removeClass('d-flex').hide();
            $(".navfillsContainer").show();
        }
    });


    // Handle table row click events and hide the dropdown
    $(document).on('click', '#customerTable tbody tr', function() {

        var customerId = $(this).data('customerid');
        var customerName = $(this).data('customername');

        // Change the dropdown button text to the selected customer name
        $('#customersList').attr('data-customerId', customerId);
        // $('#customersList').text(customerId + ' - ' + customerName);
        $("#customersList").val(customerId + ' - ' + customerName);
        $('#customer_id_2').val(customerId);

        var selectList = $('#depotOptionList');
        selectList.empty(); // Clear existing options

        $(".custom-preloader").addClass('loader-bg').show();


        // get customer details
        $.post("controller/get_requests_model.php", {
                identifier: 'fetchCustomersDetails',
                customerId: customerId
            })
            .done(function(response) {

                if (response.data) {
                    // console.log(jsonData);

                    var customerDetails = response.data.customerDetail[
                    0]; // Since it's a single object wrapped in an array

                    // Get today's date
                    var today = new Date();
                    var dd = String(today.getDate()).padStart(2, '0');
                    var mm = String(today.getMonth() + 1).padStart(2, '0'); // January is 0!
                    var yyyy = today.getFullYear();

                    // Format today's date in YYYY-MM-DD format
                    var fromDate = yyyy + '-' + mm + '-' + dd;
                    $("#fromDate").val(fromDate);

                    // Calculate the date three months from today
                    var reviewDate = new Date(today.setMonth(today.getMonth() + 3));
                    var reviewDd = String(reviewDate.getDate()).padStart(2, '0');
                    var reviewMm = String(reviewDate.getMonth() + 1).padStart(2,
                    '0'); // January is 0!
                    var reviewYyyy = reviewDate.getFullYear();

                    // Format the review date in YYYY-MM-DD format
                    var reviewFormattedDate = reviewYyyy + '-' + reviewMm + '-' + reviewDd;
                    $("#reviewDate").val(reviewFormattedDate);

                    $(".custom-preloader").removeClass('loader-bg').hide();

                } else {
                    alert('No customer details found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
                $('#preloaderEdit').removeClass('d-flex').hide();
            });


        // get contract details
        $.post("controller/get_requests_model.php", {
                identifier: 'fetchContract',
                customerId: customerId,
                quoteNo: quoteNo
            })
            .done(function(response) {
                // console.log(response);
                if (response.data) {
                    var tableBody = $('#contractCustomerTable tbody');

                    // Destroy existing DataTable instance
                    if ($.fn.DataTable.isDataTable('#contractCustomerTable')) {
                        $('#contractCustomerTable').DataTable().clear().destroy();
                    }

                    tableBody.empty();
                    response.data.contactList.forEach(function(item) {
                        var row = '<tr class="getContractCustomersInfo" data-customerid="' +
                            item.Customer + '" data-username="' + item.Contact_Name +
                            '" data-email="' + item.EMail + '" data-phone="' + item
                            .PhoneNo + '" data-mobile="' + item.Mobile + '">' +
                            '<td>' + item.Customer + '</td>' +
                            '<td>' + item.Address_Code + '</td>' +
                            '<td>' + item.Contact_Name + '</td>' +
                            '<td>' + item.Username + '</td>' +
                            '</tr>';
                        tableBody.append(row);
                    });

                    // Reinitialize DataTable
                    $('#contractCustomerTable').DataTable();
                } else {
                    alert('No contract found or unauthorized.');
                }
            })
            .fail(function() {
                alert('Error loading data.');
            });



        // get status
        $.post("controller/get_requests_model.php", {
                identifier: 'fetchStatus'
            })
            .done(function(response) {

                // console.log(response.data);

                if (response.data) {
                    var selectList = $('#statusOptionList');
                    selectList.empty(); // Clear existing options

                    // Loop through each customer item and append options to the select list
                    response.data.StatusType.forEach(function(status) {
                        var option = '<option value="' + status.Status + '">' + status
                            .Description + '</option>';
                        selectList.append(option);
                    });
                } else {
                    alert('No status found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
                $('#preloaderEdit').removeClass('d-flex').hide();
            });



        // get sent by
        $.post("controller/get_requests_model.php", {
                identifier: 'fetchSentBy'
            })
            .done(function(response) {

                // console.log(response);

                if (response.data) {
                    var selectList = $('#staffOptionList');
                    selectList.empty(); // Clear existing options

                    var selectList2 = $('#followUpOptionList');
                    selectList2.empty(); // Clear existing options

                    // Loop through each customer item and append options to the select list
                    response.data.CompanyStaff.forEach(function(staff) {
                        var option = '<option value="' + staff.Staff_ID + '">' + staff
                            .name + '</option>';
                        selectList.append(option);
                        selectList2.append(option);
                    });
                } else {
                    alert('No status found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
                $('#preloaderEdit').removeClass('d-flex').hide();
            });



        // get quotation number
        $.post("controller/get_requests_model.php", {
                identifier: 'fetchQuotationNumber'
            })
            .done(function(response) {

                // console.log(response);

                if (response.data) {
                    $("#quote_no, #quote_no_2").val(response.data.quotationNumber);
                    quoteNo = $("#quote_no_2").val().trim();
                    const today = new Date();
                    const weekLater = new Date(today);
                    weekLater.setDate(today.getDate() + 7);
                    const monthLater = new Date(today);
                    monthLater.setMonth(today.getMonth() + 1);

                    // $("#quote_date").val(formatDate(today));
                    $("#quoteDate").val(formatDate(today));
                    $("#validDate").val(formatDate(weekLater));
                    $("#followUpDate").val(formatDate(monthLater));

                } else {
                    alert('No qoutation number found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
                $('#preloaderEdit').removeClass('d-flex').hide();
            });



        // get style list
        $.post("controller/get_requests_model.php", {
                identifier: 'fetchStyleList',
                customerId: customerId,
                quoteNo: quoteNo,
            })
            .done(function(response) {

                // Parse the JSON data
                // console.log(response);

                if (response.data) {

                    var tableBody = $('#stylesTable tbody');
                    tableBody.empty();
                    // Loop through each contract item and append rows to the table
                    response.data.quotationStyleList.forEach(function(style) {
                        var row = '<tr class="getStyleInfo" data-customid=' + customerId +
                            ' data-style=' + style.Style + ' data-desc="' + style
                            .Description + '">' +
                            '<td>' + style.Style + '</td>' +
                            '<td>' + style.Description + '</td>' +
                            '<td>' + style.Status + '</td>' +
                            '<td>' + style.Supplier + '</td>' +
                            '<td>' + style.SupplierRef + '</td>' +
                            '<td>' + style.BOM + '</td>' +
                            '<td>' + "" + '</td>' +
                            '<td>' + style.Status1 + '</td>' +
                            '</tr>';
                        tableBody.append(row);
                    });
                    // Destroy existing DataTable instance if it exists
                    if ($.fn.DataTable.isDataTable('#stylesTable')) {
                        $('#stylesTable').DataTable().destroy();
                    }

                    // Initialize DataTable and assign it to the global variable
                    stylesTable = $('#stylesTable').DataTable();

                } else {
                    alert('No style found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
                $('#preloaderEdit').removeClass('d-flex').hide();
            });


        // Hide the dropdown
        $("#tableContainer").hide();
    });

    // contract list clicked 
    $(document).on('click', '#contractCustomerTable tbody tr', function() {

        var customerId = $(this).data('customerid');
        var customerUsername = $(this).data('username');
        var telephone = $(this).data('phone');
        var email = $(this).data('email');
        var mobile = $(this).data('mobile');

        // Change the dropdown button text to the selected customer name
        $("#contractCustomersList").val(customerId + ' - ' + customerUsername);
        $("#contractName").val(customerUsername);

        // Update the HTML with customer data (example)
        $("#telephone").val(telephone);
        $("#email").val(email);
        $("#mobile").val(mobile);


        // Hide the dropdown
        $("#tableContainerContract").hide();

    });


    $(document).on('click', '#stylesTable tbody tr', function() {

        var customerId = $(this).data('customid');
        var style = $(this).data('style');
        var desc = $(this).data('desc');

        // Change the dropdown button text to the selected customer name
        $('#stylesList').attr('data-style', style);
        $('#stylesList').val(style + ' - ' + desc);
        $("#selected_style").val(style);

        // clear all inputs
        $('#applyToAll').prop('checked', false);
        $('#upliftCheck').prop('checked', false);


        // get style details
        $.post("controller/get_requests_model.php", {
                identifier: 'fetchStyleDetails',
                customerId: customerId,
                quoteNo: quoteNo,
                styleNo: style
            })
            .done(function(response) {

                // console.log(response.data);

                if (response.data) {
                    // alert('customer ' + customerId);


                    // $("#applyRequestBtn").attr('disabled', false);

                    var styleDetails = response.data.quotationStyleDetails;

                    var uplift = styleDetails.uplift;
                    var salesPrice = styleDetails.SalesPrice; // for sales price
                    var SalesPRangeSTD = styleDetails.SalesPRangeSTD; // for STD Price
                    var Margin = styleDetails.Margin;
                    var CP = styleDetails.CP;
                    var ArtworkPrice = styleDetails.ArtworkPrice;
                    var SalesPRangeUP = styleDetails.SalesPRangeUP; // for UL Price

                    var Variation = styleDetails
                    .Variation; // Assuming styleDetails.Variation is an array

                    // Extract the PriceBand object
                    var priceBand = styleDetails.PriceBand[
                    0]; // Assuming styleDetails.PriceBand is an array with one object

                    // Extract the BulkDiscount object
                    var bulkDiscount = styleDetails.BulkDiscount[
                    0]; // Assuming styleDetails.BulkDiscount is an array with one object
                    var PurchasePrice = bulkDiscount.PurchasePrice;

                    // Iterate over each variation object and set the input values
                    Variation.forEach(function(variationObj, index) {
                        if (index <3) { // Assuming there are only three input fields for sizes and prices

                            let priceWithoutEuro = variationObj.Price.replace('£', '').trim();

                            $('#size' + (index + 1)).val(variationObj.SizeVaraition);
                            $('#price' + (index + 1)).val(priceWithoutEuro);
                        }
                    });

                    if (CP == 1) {
                        $("#cp").addClass('bg-info');
                    } else {
                        $("#cp").removeClass('bg-info');
                    }

                    $("#uplift").html(uplift);
                    $("#salesPrice").val(salesPrice);
                    $("#std").val(SalesPRangeSTD);
                    $("#margin").val(Margin);
                    $("#u-l").val(SalesPRangeUP);


                    // Set the values of each input field for Price Band
                    $("#AC_01").val(priceBand.AC_01);
                    $("#AC_02").val(priceBand.AC_02);
                    $("#AC_03").val(priceBand.AC_03);
                    $("#AC_04").val(priceBand.AC_04);
                    $("#BL").val(priceBand.BL);
                    $("#ST").val(priceBand.ST);
                    $("#TC").val(priceBand.TC);
                    $("#WEB_AC").val(priceBand.WEB_AC);
                    $("#PurchasePrice").val(PurchasePrice);


                    // Set the values of each input field for bulk discount
                    $("#Bulk_Disc1").val(bulkDiscount.Bulk_Disc1);
                    $("#Bulk_Disc2").val(bulkDiscount.Bulk_Disc2);
                    $("#Bulk_Disc3").val(bulkDiscount.Bulk_Disc3);
                    $("#Bulk_Disc4").val(bulkDiscount.Bulk_Disc4);
                    $("#Bulk_Qty1").val(bulkDiscount.Bulk_Qty1);
                    $("#Bulk_Qty2").val(bulkDiscount.Bulk_Qty2);
                    $("#Bulk_Qty3").val(bulkDiscount.Bulk_Qty3);
                    $("#Bulk_Qty4").val(bulkDiscount.Bulk_Qty4);
                    // $("#styleTag").text(bulkDiscount.Style);
                    // $("#Tolerance").val(bulkDiscount.Tolerance);

                    var Margin1 = ((parseFloat(bulkDiscount.Bulk_Disc1) - parseFloat(
                        PurchasePrice)) / parseFloat(bulkDiscount.Bulk_Disc1)) * 100;
                    var Margin2 = ((parseFloat(bulkDiscount.Bulk_Disc2) - parseFloat(
                        PurchasePrice)) / parseFloat(bulkDiscount.Bulk_Disc2)) * 100;
                    var Margin3 = ((parseFloat(bulkDiscount.Bulk_Disc3) - parseFloat(
                        PurchasePrice)) / parseFloat(bulkDiscount.Bulk_Disc3)) * 100;
                    var Margin4 = ((parseFloat(bulkDiscount.Bulk_Disc4) - parseFloat(
                        PurchasePrice)) / parseFloat(bulkDiscount.Bulk_Disc4)) * 100;

                    $("#Margin_Count1").val(Margin1);
                    $("#Margin_Count2").val(Margin2);
                    $("#Margin_Count3").val(Margin3);
                    $("#Margin_Count4").val(Margin4);

                } else {
                    alert('No style details found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
                $('#preloaderEdit').removeClass('d-flex').hide();
            });



        // Hide the dropdown
        $('#tableContainerStyles').hide();

    });

    // add style into list btn handle
    $("#addStyleBtn").click(function() {

        let customerId = $("#customer_id_2").val();
        let styleNo = $("#selected_style").val();
        let salesPrice = $("#salesPrice").val();
        let uplift = 0;
        let applyToAll = 0;

        if ($("#applyToAll").is(':checked')) {
            applyToAll = 1;
        }

        if ($('#upliftCheck').is(':checked')) {
            uplift = 1;
        } else {
            uplift = 0;
        }




        // check style exists
        $.post("controller/get_requests_model.php", {
                identifier: 'fetchAlreadyExists',
                quoteNo: quoteNo,
                styleNo: styleNo,
            })
            .done(function(response) {

                // console.log(response);

                if (response.data) {

                    if (response.data.status && response.data.message == 'No data to display') {

                        // add new style action

                        // get style list
                        $.post("controller/get_requests_model.php", {
                                identifier: 'fetchAddStyleItems',
                                customerId: customerId,
                                quoteNo: quoteNo,
                                styleNo: styleNo,
                                salesPrice: salesPrice,
                                applyToAll: applyToAll,
                                uplift: uplift,
                            })
                            .done(function(response) {

                                // Parse the JSON data
                                console.log('styles items list');
                                console.log(response);

                                if (response.data) {

                                    // adding sku data

                                    let styles = response.data.quotationStyleLineDetails;
                                    if (styles.length > 0) {
                                        // Get the style from the first item
                                        let styleKey = styles[0].Style;
                                        // Add the full array to skuData with the style as the key
                                        skuData[styleKey] = styles;
                                    }

                                    // console.log('Added styles:', skuData);


                                    $('#addStyleItems tbody').empty();

                                    response.data.quotationStyleLines.forEach(function(
                                        StyleLines) {

                                        // Extract the styleLine object
                                        // var StyleLines = response.data.quotationStyleLines[0]; // Assuming styleDetails.PriceBand is an array with one object

                                        // Set the values of each input field for style line

                                        let Line = StyleLines.Line;
                                        let Style = StyleLines.Style;
                                        let Description = StyleLines.Description;
                                        let Product = StyleLines.Product;
                                        let Status = StyleLines.Status;
                                        let SalesPrice = StyleLines.Column1;
                                        let Artwork_Price = StyleLines.Artwork_Price;
                                        let ArtCheck = StyleLines.Art ? 'checked' : '';
                                        let Total = StyleLines.Total;
                                        let All1 = StyleLines.All1 ? 'checked' : '';
                                        let UpliftApply = StyleLines.UpliftApply ? 'checked' : '';
                                        let Margin = StyleLines.Margin;
                                        let Supplier = StyleLines.Supplier;
                                        let SupplierRef = StyleLines.SupplierRef;
                                        let Exist = StyleLines.Exist || 0;
                                        let Confirm = StyleLines.Confirm || 1;

                                        let newRow = `
                                            <tr data-style_item="${Style}" data-style_item_line_no="${Line}" data-style_item_exists="${Exist}" data-style_item_confirm="${Confirm}">
                                                <td>${Line}</td>
                                                <td>${Product}</td>
                                                <td>
                                                    <select class="form-control" id="dynamicStatus" aria-label="Default select example">
                                                        <option value="0" ${Status === 0 ? 'selected' : ''}>In Active</option>
                                                        <option value="1" ${Status === 1 ? 'selected' : ''}>Active</option>
                                                    </select>
                                                </td>
                                                <td>£${SalesPrice}</td>
                                                <td>£${Artwork_Price}</td>
                                                <td>
                                                    <div class="form-check text-center">
                                                        <input class="form-check-input art-check" ${ArtCheck} type="checkbox">
                                                    </div>
                                                </td>
                                                <td>£${Total}</td>
                                                <td>
                                                    <div class="form-check text-center">
                                                        <input class="form-check-input all-check" ${All1} type="checkbox">
                                                    </div>
                                                </td>
                                                <td>
                                                    <div class="form-check text-center">
                                                        <input class="form-check-input uplift-check" ${UpliftApply} type="checkbox">
                                                    </div>
                                                </td>
                                                <td>${Margin}%</td>
                                                <td><a href="#" class="btn btn-primary" id="view-sku-btn" data-skustyle="${Style}" data-desc="${Description}" data-price="${SalesPrice}" data-uplift="${UpliftApply}" data-line="${Line}" data-supplier="${Supplier}" data-supplierref="${SupplierRef}" data-applytoall="${All1}" data-toggle="modal" data-target="#SKUViewModal">View</a></td>
                                                <td>
                                                    <div class="form-check text-center">
                                                        <input class="form-check-input style-item-delete-checkbox" type="checkbox">
                                                    </div>
                                                </td>
                                            </tr>
                                        `;
                                        $('#addStyleItems tbody').append(newRow);

                                    });

                                } else {
                                    alert('No style found or unauthorized.');
                                }

                            })
                            .fail(function() {
                                alert('Error loading data.');
                                $('#preloaderEdit').removeClass('d-flex').hide();
                            });

                    } else {
                        alert('Style already exists');
                    }

                } else {
                    alert('No style exists found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
            });

    });

    // change price input changed
    $("#price1, #price2, #price3").on('input', function(){
        let variationPrice = $(this).val();
        let customerId = $("#customer_id_2").val();
        let styleNo = $("#selected_style").val();

        // get updated price changed
        $.post("controller/get_requests_model.php", {
                identifier: 'fetchPriceChanged',
                quoteNo: quoteNo,
                customerId: customerId,
                styleNo: styleNo,
                variationPrice: variationPrice
            })
            .done(function(response) {

                console.log('variation price');
                console.log(response);

                var Variation = response.data.Variation; // Assuming styleDetails.Variation is an array
                var Margin = response.data.Margin;

                $('#margin').val(Margin);

                // Iterate over each variation object and set the input values
                Variation.forEach(function(variationObj, index) {
                        if (index <3) { // Assuming there are only three input fields for sizes and prices

                            let priceWithoutEuro = variationObj.Price.replace('£', '').trim();

                            $('#size' + (index + 1)).val(variationObj.SizeVaraition);
                            $('#price' + (index + 1)).val(priceWithoutEuro);
                        }
                    });

                if (response.data) {
                } else {
                    alert('No status found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.'); 
            });
    });

    // view sku button clicked
    // Function to view styles from skuData array
    $(document).on('click', '#view-sku-btn', function() {

        let style = $(this).data('skustyle');
        let description = $(this).data('desc');
        let price = $(this).data('price');
        let uplift = $(this).data('uplift');
        let line = $(this).data('line');
        let supplier = $(this).data('supplier');
        let supplierref = $(this).data('supplierref');
        let applytoall = $(this).data('applytoall');
        let customerId = $("#customer_id_2").val();
        let skuViewTable = $("#sku-view-table tbody");

        $("#sku-style").html(style);
        $("#sku-description").html(description);
        $("#sku-sales-price").val(price);
        if (uplift === 'checked') {
            $("#sku-uplift").attr('checked', uplift);
        }
        $("#sku-line-no").html(line);
        $("#sku-supplier").html(supplier);
        $("#sku-supplier-ref").html(supplierref);
        if (applytoall === 'checked') {
            $("#sku-applyToAll").attr('checked', applytoall);
        
        }

        // get style details
        $.post("controller/get_requests_model.php", {
                identifier: 'fetchStyleDetails',
                customerId: customerId,
                quoteNo: quoteNo,
                styleNo: style,
                styleLineNo: line
            })
            .done(function(response) {
                console.log('sku data');
                console.log(response);
                if (response.data) {
                    var styleDetails = response.data.quotationStyleDetails.QuotationSKU;
                    if(styleDetails){

                        skuViewTable.empty();

                        styleDetails.forEach(function(item) {
                        var row = `<tr class="getSkuInfo">
                        <td> ${item.Line} </td>
                        <td> ${item.Colour} </td>
                        <td> ${item.Colour_Description} </td>
                        <td> ${item.Fitting} </td>
                        <td> ${item.Size} </td>
                        <td> <input type="text" class="form-control" id="sku-table-sales-price" value="${item.Sales_Price}"> </td>
                        </tr>`;
                            skuViewTable.append(row);
                        });

                    }
                    // Further processing with styleDetails
                } else {
                    alert('No style details found or unauthorized.');
                }
            })
            .fail(function(xhr, status, error) {
                alert('Error loading data: ' + error);
                console.error('Status: ' + status);
                console.dir(xhr);
            });

    });


    // save sku table data btn click
    // Function to populate SKU data on button click
    $("#saveSKUViewBtn").click(function() {
        let style = $("#sku-style").text();
        let quotationNo = quoteNo; // Replace with actual quote number
        let line = $("#sku-line-no").text();
        let uplift = $("#sku-uplift").is(':checked') ? 1 : 0;
        let applyToAll = $("#sku-applyToAll").is(':checked') ? 1 : 0;
        let price = parseFloat($("#sku-sales-price").val());

        let quoteSKU = [];

        // Iterate over each row in the table
        $("#sku-view-table tbody tr").each(function() {
            let row = $(this);
            let rowData = {
                Colour: row.find('td:eq(1)').text(),
                Fitting: row.find('td:eq(3)').text(),
                Size: row.find('td:eq(4)').text(),
                Price: parseFloat(row.find('td:eq(5) input').val())
            };
            quoteSKU.push(rowData);
       });

    let dataToSend = {
        QuotationNo: quotationNo,
        Line: parseInt(line),
        Style: style,
        All: applyToAll,
        Uplift: uplift,
        Price: price,
        quoteSKU: quoteSKU
    };

    console.log('Data to be sent for SKU save:');
    console.log(dataToSend); // For debugging

    // Submit data using $.post
    $.ajax({
        url: 'controller/save_sku_controller.php', // Replace with actual endpoint URL
        type: 'POST',
        contentType: 'application/json',
        data: JSON.stringify(dataToSend),
        success: function(response) {
            console.log('SKU save response');
            console.log(response);
            let parsedResponse = typeof response === 'string' ? JSON.parse(response) : response;
            if (parsedResponse.status) {
                alert(parsedResponse.message);
                refreshStyleList(quoteNo);
                $("#SKUViewModal").modal('hide');
                $("#sku-view-table tbody").empty();
                // Perform any additional actions on success, like closing a modal
            }
        },
        error: function(xhr, status, error) {
            alert('Error: ' + error);
            alert('Status: ' + status);
            console.dir(xhr);
        }
    });
});

// clear sku table data
$("#clear-sku-table-btn").click(function(){
    $("#sku-view-table tbody").empty();
});


    // track table item clicked
    // Add click event listener to all rows in the table
    $(document).on('click', '#addStyleItems tbody tr', function() {
        // Remove active class from all rows
        $('#addStyleItems tbody tr').removeClass('selected-style-item');

        // Add active class to the clicked row
        $(this).addClass('selected-style-item');
    });

    // add artwork button clicked
    $("#addArtworkBtn").click(function() {

        // Find the active row in the table
        let activeRow = $('#addStyleItems tbody tr.selected-style-item');

        // Check if there is an active row
        if (activeRow.length) {
            // Get the data-style_item attribute of the active row
            let styleItem = activeRow.data('style_item');
            let styleItemLineNo = activeRow.data('style_item_line_no');
            let customerId = $("#customer_id_2").val();
            artworkLineNo = styleItemLineNo;
            console.log('Active style item:', styleItem);

            // Perform further actions with the styleItem if needed

            // get artwork list
            $.post("controller/get_requests_model.php", {
                    identifier: 'fetchArtwork',
                    customerId: customerId,
                    quoteNo: quoteNo,
                    styleNo: styleItem
                })
                .done(function(response) {

                    // Parse the JSON data
                    // console.log(response);

                    if (response.data) {

                        var tableBody = $('#artworkTable tbody');
                        tableBody.empty();
                        // Loop through each contract item and append rows to the table
                        response.data.quoteArtworkList.forEach(function(artwork) {
                            var row = '<tr class="getStyleInfo" data-item_code=' + artwork
                                .Item_Code + ' data-artwork_type=' + artwork.ArtworkType +
                                ' data-sub_type=' + artwork.SubType + ' data-size=' +
                                artwork.Size + ' data-price=' + artwork.Price +
                                ' data-description="' + artwork.Description + '">' +
                                '<td>' + artwork.Item_Code + '</td>' +
                                '<td>' + artwork.Description + '</td>' +
                                '<td>' + artwork.Status + '</td>' +
                                '<td>' + artwork.Customer + '</td>' +
                                '<td>' + artwork.ArtworkType + '</td>' +
                                '<td>' + artwork.SubType + '</td>' +
                                '<td>' + artwork.Size + '</td>' +
                                '<td>' + artwork.Price + '</td>' +
                                '<td>' + artwork.SetupCost + '</td>' +
                                '</tr>';
                            tableBody.append(row);
                        });
                        // Destroy existing DataTable instance if it exists
                        if ($.fn.DataTable.isDataTable('#artworkTable')) {
                            $('#artworkTable').DataTable().destroy();
                        }

                        // Initialize DataTable
                        $('#artworkTable').DataTable();

                    } else {
                        alert('No artwork found or unauthorized.');
                    }

                })
                .fail(function() {
                    alert('Error loading data.');
                    $('#preloaderEdit').removeClass('d-flex').hide();
                });


            

            // get already added artworks list to style
            $.post("controller/get_requests_model.php", {
                    identifier: 'fetchArtworkItemsList',
                    quoteNo: quoteNo,
                    artworkLine: artworkLineNo,
                })
                .done(function(response) {

                    // Parse the JSON data
                    // console.log(response);

                    if (response.data) {

                        $('#artwork-view-table tbody').empty();

                        response.data.quoteArtworkLine.forEach(function(artwork) {
                        var newRow = `
                                    <tr>
                                        <td>${artwork.Line}</td>
                                        <td>${artwork.Item_Code}</td>
                                        <td>${artwork.Artwork_Type}</td>
                                        <td>${artwork.Sub_Type}</td>
                                        <td>${artwork.Size}</td>
                                        <td data-artwork_position_code="${artwork.Logo_Position}">${artwork.Logo_Position}</td>
                                        <td>${artwork.Quantity}</td>
                                        <td>£${artwork.Sales_Price}</td>
                                        <td>
                                            <div class="form-check text-center">
                                                <input type="hidden" class="Seq_No" value="${artwork.Logo_Seq}">
                                                <input type="hidden" class="Exists" value="${artwork.Exist}">
                                                <input class="form-check-input artwork-del-check" ${artwork.Del == 1 ? 'checked' : ''} type="checkbox">
                                            </div>
                                        </td>
                                    </tr>
                                `;
                                
                        $('#artwork-view-table tbody').append(newRow);

                        });

                    } else {
                        alert('No artwork found or unauthorized.');
                    }

                })
                .fail(function() {
                    alert('Error loading data.');
                    $('#preloaderEdit').removeClass('d-flex').hide();
                });


        } else {
            console.log('No active row found.');
            // Handle the case where no row is selected
        }


    });

    $(document).on('click', '#artworkTable tbody tr', function() {

        let item_code = $(this).data('item_code');
        let artwork_type = $(this).data('artwork_type');
        let sub_type = $(this).data('sub_type');
        let size = $(this).data('size');
        let price = $(this).data('price');
        let description = $(this).data('description');

        $("#artworkSelectBtn").html(item_code + ' - ' + description);

        $("#artworkSelectBtn").data('item_code', item_code);
        $("#artworkSelectBtn").data('artwork_type', artwork_type);
        $("#artworkSelectBtn").data('sub_type', sub_type);
        $("#artworkSelectBtn").data('size', size);
        $("#artwork-current-price").val(price);

        // console.log('item ' + item_code);

        // get position list
        $.post("controller/get_requests_model.php", {
                    identifier: 'fetchArtworkPosition',
                    quoteNo: quoteNo,
                    artworkCode: item_code
                })
                .done(function(response) {

                    // Parse the JSON data
                    // console.log(response);

                    if (response.data) {

                        var tableBody = $('#artworkPositionTable tbody');
                        tableBody.empty();
                        // Loop through each contract item and append rows to the table
                        response.data.quoteArtworkPosition.forEach(function(artworkPosition) {
                            var row =
                                '<tr class="getStyleInfo" data-artwork_position_code=' +
                                artworkPosition.Code + ' data-artwork_position_logo="' +
                                artworkPosition.LogoPosition + '">' +
                                '<td>' + artworkPosition.Code + '</td>' +
                                '<td>' + artworkPosition.Description + '</td>' +
                                '</tr>';
                            tableBody.append(row);
                        });
                        // Destroy existing DataTable instance if it exists
                        if ($.fn.DataTable.isDataTable('#artworkPositionTable')) {
                            $('#artworkPositionTable').DataTable().destroy();
                        }

                        // Initialize DataTable
                        $('#artworkPositionTable').DataTable();

                    } else {
                        alert('No artwork position found or unauthorized.');
                    }

                })
                .fail(function() {
                    alert('Error loading data.');
                });

        // Hide the dropdown
        $('#artworkDropdown').removeClass('show');

    });

    $(document).on('click', '#artworkPositionTable tbody tr', function() {

        let artwork_position_logo = $(this).data('artwork_position_logo');
        let artwork_position_code = $(this).data('artwork_position_code');

        $("#positionSelectBtn").html(artwork_position_logo);
        $("#positionSelectBtn").data('artwork_position_logo', artwork_position_logo);
        $("#positionSelectBtn").data('artwork_position_code', artwork_position_code);

        // Hide the dropdown
        $('#artworkPositionDropdown').removeClass('show');

    });

    $("#artwork-apply-btn").click(function() {

        let item_code = $("#artworkSelectBtn").data('item_code');
        let artwork_type = $("#artworkSelectBtn").data('artwork_type');
        let sub_type = $("#artworkSelectBtn").data('sub_type');
        let size = $("#artworkSelectBtn").data('size');
        let artwork_position_logo = $("#positionSelectBtn").data('artwork_position_logo');
        let artwork_position_code = $("#positionSelectBtn").data('artwork_position_code');
        let artwork_price = $("#artwork-current-price").val();
        
        
        // check style exists
        $.post("controller/get_requests_model.php", {
                identifier: 'fetchAddNewArtwork',
                quoteNo: quoteNo,
                artworkLine: artworkLineNo,
                artworkCode: item_code,
                artworkPositionCode: artwork_position_code,
                artoworkPrice: artwork_price,
            })
            .done(function(response) {

                // Parse the JSON data
                console.log(response);

                if (response.data) {
                    
                    artworkData = response.data.quoteArtworkLine; // Store the response data
                    
                    $('#artwork-view-table tbody').empty();

                    response.data.quoteArtworkLine.forEach(function(artwork) {
                        var newRow = `
                                    <tr>
                                        <td>${artwork.Line}</td>
                                        <td>${artwork.Item_Code}</td>
                                        <td>${artwork.Artwork_Type}</td>
                                        <td>${artwork.Sub_Type}</td>
                                        <td>${artwork.Size}</td>
                                        <td data-artwork_position_code="${artwork.Logo_Position}">${artwork.Logo_Position}</td>
                                        <td>${artwork.Quantity}</td>
                                        <td>£${artwork.Sales_Price}</td>
                                        <td>
                                            <div class="form-check text-center">
                                                <input type="hidden" class="Seq_No" value="${artwork.Logo_Seq}">
                                                <input type="hidden" class="Exists" value="${artwork.Exist}">
                                                <input class="form-check-input artwork-del-check" ${artwork.Del == 1 ? 'checked' : ''} type="checkbox">
                                            </div>
                                        </td>
                                    </tr>
                                `;
                                
                        $('#artwork-view-table tbody').append(newRow);

                    });

                } else {
                    alert('No artwork found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
                $('#preloaderEdit').removeClass('d-flex').hide();
            });
        
    });

// Save button click event
$("#saveArtworkChanges").click(function() {
    let quotationNo = quoteNo; // Replace with actual quote number
    let artworkDataToSend = [];

    // Iterate over each row in the table
    $('#artwork-view-table tbody tr').each(function(index) {
        
        if (index >= artworkData.length) {
            console.error('Index out of bounds:', index);
            return false; // Break out of the loop
        }

        let row = $(this);
        let isDeleted = row.find('input.artwork-del-check').is(':checked') ? 1 : 0;

        let rowData = {
            "QuotationNo": artworkData[index].QuotationNo,
            "Line": artworkData[index].Line,
            "Seq": artworkData[index].Logo_Seq,
            "Artwork": artworkData[index].Item_Code,
            "Position": artworkData[index].Logo_Position,
            "Price": artworkData[index].Sales_Price,
            "Del": isDeleted,
            "Exist": artworkData[index].Exist
        };

        artworkDataToSend.push(rowData);
    });

    console.log('Data to be sent for save:');
    console.log(artworkDataToSend); // For debugging

    // Submit data using $.post
    $.ajax({
        url: 'controller/save_artwork_controller.php',
        type: 'POST',
        contentType: 'application/json',
        data: JSON.stringify(artworkDataToSend),
        success: function(response) {
            console.log('artwork save response');
            console.log(response);
            let parsedResponse = typeof response === 'string' ? JSON.parse(response) : response;
            if (parsedResponse.status) {
                alert(parsedResponse.message);
                refreshStyleList(quoteNo);
                $("#ArtWorkModal").modal('hide');
                $("#artwork-view-table tbody").empty();
            }
        },
        error: function(xhr, status, error) {
            alert('Error: ' + error);
            alert('Status: ' + status);
            console.dir(xhr);
        }
    });
});


// click of copy artwork button
$("#copyArtworkBtn").click(function(){


    // Find the active row in the table
    let activeRow = $('#addStyleItems tbody tr.selected-style-item');

    // Check if there is an active row
    if (activeRow.length) {

    let styleNo = $("#selected_style").val();
    let styleItemLineNo = activeRow.data('style_item_line_no');
    artworkLineNo = styleItemLineNo;

    // get sent by
    $.post("controller/get_requests_model.php", {
            identifier: 'fetchArtworkCopyLines',
            quoteNo: quoteNo,
            artworkLine: artworkLineNo,
            styleNo: styleNo
        })
        .done(function(response) {

            console.log(response);

            if (response.data) {
                var selectList = $('#CopyLinesOptionList');
                selectList.empty(); // Clear existing options

                // Loop through each customer item and append options to the select list
                response.data.artworkLines.forEach(function(line) {
                    var option = '<option value="' + line.Line + '">' + line
                        .Line + '</option>';
                    selectList.append(option);
                });
            } else {
                alert('No status found or unauthorized.');
            }

        })
        .fail(function() {
            alert('Error loading data.');
        });

    }else {
        console.log('No active row found.');
        // Handle the case where no row is selected
    }

});


$("#clear-artwork-table").click(function(){
    $("#artwork-view-table tbody").empty();
});

// detect click of copy artwork to line btn
$("#copyArtworkToLine").click(function(){

    let artworkCopyLine = $('#CopyLinesOptionList').val();

    // save artwork copied line
    $.post("controller/get_requests_model.php", {
            identifier: 'fetchSaveArtworkCopiedLine',
            quoteNo: quoteNo,
            artworkCopyLine: artworkLineNo,
            artworkToLine: artworkCopyLine
        })
        .done(function(response) {

            console.log(response);

            if (response.data) {
                let parsedResponse = typeof response.data === 'string' ? JSON.parse(response.data) : response.data;
                if (parsedResponse.status) {
                    alert(parsedResponse.message);
                    $("#CopyArtWorkModal").modal('hide');
                }
            } else {
                alert('No copied command executed or unauthorized.');
            }

        })
        .fail(function() {
            alert('Error loading data.');
        });
});



    // Keep the dropdown open on click inside it
    $(document).on('click', '.dropdown-menu', function(e) {
        e.stopPropagation();
    });

    // Handle dropdown toggle click
    $(document).on('click', '.dropdown-toggle', function(e) {
        e.stopPropagation();
        var dropdownMenu = $(this).next('.dropdown-menu');
        if (dropdownMenu.hasClass('show')) {
            dropdownMenu.removeClass('show');
        } else {
            $('.dropdown-menu').removeClass('show'); // Hide other open dropdowns
            dropdownMenu.addClass('show');
        }
    });

    // Close dropdown when clicking outside
    $(document).on('click', function(e) {
        if (!$(e.target).closest('.dropdown').length) {
            $('.dropdown-menu').removeClass('show');
        }
    });

    // format date func
    function formatDate(date) {
        const dd = String(date.getDate()).padStart(2, '0');
        const mm = String(date.getMonth() + 1).padStart(2, '0'); // January is 0
        const yyyy = date.getFullYear();
        return `${yyyy}-${mm}-${dd}`;
    }

    function dragMoveListener(event) {
        var target = event.target,
            // keep the dragged position in the data-x/data-y attributes
            x = (parseFloat(target.getAttribute('data-x')) || 0) + event.dx,
            y = (parseFloat(target.getAttribute('data-y')) || 0) + event.dy;

        // translate the element
        target.style.transform = 'translate(' + x + 'px, ' + y + 'px)';

        // update the position attributes
        target.setAttribute('data-x', x);
        target.setAttribute('data-y', y);
    }


    // refresh style list
    function refreshStyleList(quoteNo){

        $('#addStyleItems tbody').empty();

        // check style exists
        $.post("controller/get_requests_model.php", {
                identifier: 'fetchRefreshStyleList',
                quoteNo: quoteNo,
            })
            .done(function(response) {

                console.log('refreshed list');
                console.log(response);

                if (response.data) {

                    response.data.QuotationStyle.forEach(function(StyleLines) {

                        // Extract the styleLine object
                        // var StyleLines = response.data.quotationStyleLines[0]; // Assuming styleDetails.PriceBand is an array with one object

                        // Set the values of each input field for style line

                        let Line = StyleLines.Line;
                        let Style = StyleLines.Style;
                        let Description = StyleLines.Description;
                        let Product = StyleLines.Product;
                        let Status = StyleLines.Status;
                        let SalesPrice = StyleLines.Sales_Price;
                        let Artwork_Price = StyleLines.Artwork_Price;
                        let ArtCheck = StyleLines.Art ? 'checked' : '';
                        let Total = StyleLines.Total;
                        let All1 = StyleLines.All1 ? 'checked' : '';
                        let UpliftApply = StyleLines.UpliftApply ? 'checked' : '';
                        let Margin = StyleLines.Margin;
                        let Supplier = StyleLines.Supplier;
                        let SupplierRef = StyleLines.SupplierRef;
                        let Exist = StyleLines.Exist || 0;
                        let Confirm = StyleLines.Confirm || 0;

                        let newRow = `
                            <tr data-style_item="${Style}" data-style_item_line_no="${Line}" data-style_item_exists="${Exist}" data-style_item_confirm="${Confirm}">
                                <td>${Line}</td>
                                <td>${Product}</td>
                                <td>
                                    <select class="form-control" id="dynamicStatus" aria-label="Default select example">
                                        <option value="0" ${Status === 0 ? 'selected' : ''}>In Active</option>
                                        <option value="1" ${Status === 1 ? 'selected' : ''}>Active</option>
                                    </select>
                                </td>
                                <td>£${SalesPrice}</td>
                                <td>£${Artwork_Price}</td>
                                <td>
                                    <div class="form-check text-center">
                                        <input class="form-check-input art-check" ${ArtCheck} type="checkbox">
                                    </div>
                                </td>
                                <td>£${Total}</td>
                                <td>
                                    <div class="form-check text-center">
                                        <input class="form-check-input all-check" ${All1} type="checkbox">
                                    </div>
                                </td>
                                <td>
                                    <div class="form-check text-center">
                                        <input class="form-check-input uplift-check" ${UpliftApply} type="checkbox">
                                    </div>
                                </td>
                                <td>${Margin}%</td>
                                <td><a href="#" class="btn btn-primary" id="view-sku-btn" data-skustyle="${Style}" data-desc="${Description}" data-price="${SalesPrice}" data-uplift="${UpliftApply}" data-line="${Line}" data-supplier="${Supplier}" data-supplierref="${SupplierRef}" data-applytoall="${All1}" data-toggle="modal" data-target="#SKUViewModal">View</a></td>
                                <td>
                                    <div class="form-check text-center">
                                        <input class="form-check-input style-item-delete-checkbox" type="checkbox">
                                    </div>
                                </td>
                            </tr>
                        `;
                        $('#addStyleItems tbody').append(newRow);

                        });

                } else {
                    alert('No style exists found or unauthorized.');
                }

            })
            .fail(function() {
                alert('Error loading data.');
            });

    }


// Function to move to the next tab
function moveToNextTab(quoteNo, customerId) {

    // Create the array to hold the table data
    let quotationLineSave = [];

    // Iterate over each row in the table
    $('#addStyleItems tbody tr').each(function() {
        let row = $(this);
        let line = row.data('style_item_line_no');
        let style = row.data('style_item');
        let exist = row.data('style_item_exists') || 0;
        let confirm = row.data('style_item_confirm') || 0;
        let status = row.find('td:eq(2) select').val() === '1' ? 1 : 0;
        let all = row.find('.all-check').is(':checked') ? 1 : 0;
        let uplift = row.find('.uplift-check').is(':checked') ? 1 : 0;
        let price = parseFloat(row.find('td:eq(3)').text().replace('£', ''));
        let del = row.find('.style-item-delete-checkbox').is(':checked') ? 1 : 0;

        let rowData = {
            Line: parseInt(line),
            Style: style,
            Status: status,
            All: all,
            Uplift: uplift,
            Price: price,
            Del: del,
            Exist: exist,
            Confirm: confirm
        };

        quotationLineSave.push(rowData);
    });


    // Prepare the data to send
    let dataToSend = {
        QuotationNo: quoteNo,
        Customer: customerId,
        Address: "", // Replace with actual address if needed
        quotationLineSave: quotationLineSave
    };

    console.log('Data to be sent:');
    console.log(dataToSend); // For debugging

    // Submit data using $.ajax
    $.ajax({
        url: 'controller/save_product_line_controller.php', // Replace with actual endpoint URL
        type: 'POST',
        contentType: 'application/json',
        data: JSON.stringify(dataToSend),
        success: function(response) {
            console.log('Save response');
            console.log(JSON.stringify(response));


var responseData = JSON.parse(response); // Use this if your response is a string
var templateStyle = responseData.templateStyle;

console.log('data to append ' + JSON.stringify(templateStyle));

if (templateStyle && templateStyle.length > 0) {
    var table = $('#templates_table');
    var thead = table.find('thead');
    var tbody = table.find('tbody');

    // Clear existing table content
    thead.empty().addClass('text-center');
    tbody.empty().addClass('text-center');

    // Define the fixed keys that will always be displayed
    var fixedKeys = ["Style", "Description", "Line", "Parent", "Artwork", "Margin", "Apply All", "Uplift", "Price", "All"];

    // Create the header row
    var headerRow = $('<tr></tr>');

    // Add fixed keys to header
    fixedKeys.forEach(function (key) {
        headerRow.append('<th>' + key + '</th>');
    });

    // Extract dynamic keys from the first item for header
    var dynamicKeys = [];
    templateStyle.forEach(function (item) {
        if (item.Templates && item.Templates.length > 0) {
            var keys = Object.keys(item.Templates[0]);
            keys.forEach(function (key) {
                if (!dynamicKeys.includes(key)) {
                    dynamicKeys.push(key);
                }
            });
        }
    });

    // Add dynamic template headers
    dynamicKeys.forEach(function (key, index) {
        var th = $('<th data-toggle="tooltip" data-placement="top" title="' + key + '">T' + (index + 1) + '</th>');
        headerRow.append(th);
    });

    thead.append(headerRow);

    // Populate the table body
    templateStyle.forEach(function (item) {
        var row = $('<tr></tr>');

        // Add hidden inputs for Sel and cnt
        row.append('<input type="hidden" name="sel" value="' + item["Sel"] + '">');
        row.append('<input type="hidden" name="cnt" value="' + (item["cnt"] !== undefined ? item["cnt"] : '0') + '">');

        // Add fixed keys data to the row
        fixedKeys.forEach(function (key) {    
            var cell;
            switch (key) {
                case "Artwork":
                    cell = '<td><input type="checkbox" ' + (item[key] === 1 ? 'checked' : '') + '></td>';
                    break;
                case "Apply All":
                    cell = '<td><input type="checkbox" ' + (item["All1"] === 1 ? 'checked' : '') + '></td>';
                    break;
                case "Uplift":
                    cell = '<td><input type="checkbox" ' + (item[key] === 1 ? 'checked' : '') + '></td>';
                    break;
                case "Price":
                    cell = '<td>£' + item[key] + '</td>';
                    break;
                case "All":
                    // Reflect the "Sel" key's value to the "All" checkbox
                    cell = '<td><input type="checkbox" ' + (item["Sel"] === 1 ? 'checked' : '') + '></td>';
                    break;
                default:
                    cell = '<td>' + item[key] + '</td>';
            }
            row.append(cell);
        });

        // Add dynamic template data to the row
        dynamicKeys.forEach(function (key) {
            var templateValue = item.Templates[0][key] !== undefined ? item.Templates[0][key] : '-';
            var checked = templateValue === 1 ? 'checked' : '';
            row.append('<td class="template_item"><input type="checkbox" ' + checked + '></td>');
        });

        tbody.append(row);
    });

    // Initialize tooltips on the table
    table.tooltip({
        selector: '[data-toggle="tooltip"]'
    });

    // Destroy any existing DataTable instance to avoid reinitialization errors
    if ($.fn.DataTable.isDataTable('#templates_table')) {
        table.DataTable().clear().destroy();
    }

    // Initialize DataTables
    table.DataTable({
        paging: true,           // Enable pagination
        searching: true,        // Enable search/filter
        ordering: true,         // Enable column ordering
        autoWidth: false,       // Disable auto column width calculation
        responsive: true        // Make the table responsive
    });
}






        },
        error: function(xhr, status, error) {
            alert('Error: ' + error);
            alert('Status: ' + status);
            console.dir(xhr);
        }
    });
}


// Function to move to the last tab and collect data
function moveToLastTab(quoteNo, customerId) {
    var table = $('#templates_table');
    var quotationContractLineSave = [];

    // Iterate over each row in the table body
    table.find('tbody tr').each(function () {
        var row = $(this);

        // Collect basic row information
        var line = row.find('td:eq(2)').text().trim(); // Assuming "Line" is the first column
        var style = row.find('td:eq(0)').text().trim(); // Assuming "Style" is the second column
        var sel = row.find('input[name="sel"]').val();
        var cnt = row.find('input[name="cnt"]').val();

        // Check "All" checkbox
        var allCheckbox = row.find('td:eq(9) input[type="checkbox"]'); // Assuming "All" checkbox is in the 11th column (index 10)
        var selValue = allCheckbox.length > 0 ? (allCheckbox.is(':checked') ? 1 : 0) : 0;
        console.log('All checkbox state:', selValue);

        // Collect template data
        var templates = {};
        row.find('td.template_item input[type="checkbox"]').each(function (index) {
            var templateKey = "Template" + (index + 1);
            var checked = $(this).is(':checked') ? 1 : 0;
            console.log('Template', templateKey, 'state:', checked);
            templates[templateKey] = checked;
        });

        // Ensure all 9 templates are defined
        for (var i = 1; i <= 9; i++) {
            var templateKey = "Template" + i;
            if (!(templateKey in templates)) {
                templates[templateKey] = 0;
            }
        }

        // Build the row data object
        var rowData = {
            Line: parseInt(line, 10),
            Style: style,
            Sel: selValue,
            ...templates
        };

        quotationContractLineSave.push(rowData);
    });

    // Prepare the data to send
    let dataToSend = {
        QuotationNo: quoteNo,
        Customer: customerId,
        Address: "", // Replace with actual address if needed
        quotationContractLineSave: quotationContractLineSave
    };

    console.log('Data to be sent:');
    console.log(JSON.stringify(dataToSend)); // For debugging

    // Submit data using $.ajax
    $.ajax({
        url: 'controller/save_templates_controller.php', // Replace with actual endpoint URL
        type: 'POST',
        contentType: 'application/json',
        data: JSON.stringify(dataToSend),
        success: function (response) {
         

var responseData = JSON.parse(response); // Use this if your response is a string
var finalData = responseData.FinaltemplateStyle;
const uniqueHeaders = new Set();
const fixedHeaders = ["Style", "Description", "Parent"];

// Collect unique headers beyond the fixed headers
finalData.forEach(item => {
    Object.keys(item).forEach(key => {
        if (!fixedHeaders.includes(key) && key !== "Cnt") {
            uniqueHeaders.add(key);
        }
    });
});

// Convert unique headers to an array and prepend fixed headers
const allHeaders = [...fixedHeaders, ...uniqueHeaders];

// Generate thead with fixed headers and dynamic headers as T1, T2, etc.
let thead = "<tr>";
fixedHeaders.forEach(header => {
    thead += `<th>${header}</th>`;
});

// Replace remaining headers with T followed by a number
let tCount = 1;
uniqueHeaders.forEach((key) => {
    thead += `<th data-toggle="tooltip" data-placement="top" title="${key}">T${tCount}</th>`;
    tCount++;
});
thead += "</tr>";

$("#final_template_table thead").html(thead);

// Generate tbody
let tbody = "";
finalData.forEach(item => {
    tbody += "<tr>";
    allHeaders.forEach(header => {
        if (fixedHeaders.includes(header)) {
            tbody += `<td>${item[header] || ""}</td>`;
        } else {
            const isChecked = item[header] === 1 ? "checked" : "";
            tbody += `<td><input type="checkbox" ${isChecked} /></td>`;
        }
    });
    tbody += "</tr>";
});
$("#final_template_table tbody").html(tbody);

// Initialize tooltips on the table
$("#final_template_table").tooltip({
    selector: '[data-toggle="tooltip"]'
});

// Destroy any existing DataTable instance to avoid reinitialization errors
if ($.fn.DataTable.isDataTable('#final_template_table')) {
    $('#final_template_table').DataTable().clear().destroy();
}

// Initialize DataTables
$('#final_template_table').DataTable({
    paging: true,           // Enable pagination
    searching: true,        // Enable search/filter
    ordering: true,         // Enable column ordering
    autoWidth: false,       // Disable auto column width calculation
    responsive: true        // Make the table responsive
});


            
        },
        error: function (xhr, status, error) {
            alert('Error: ' + error);
            alert('Status: ' + status);
            console.dir(xhr);
        }
    }); 
}


// code for finish quotation 

function finishQuotation(quoteNo, customerId) {
    var quotationLineSave = [];
    
        // get quotationHeaderSave data
        let address = $("#address").val(); 
        let contract = $("#contractName").val();
        let email = $("#email").val();
        let telephone = $("#telephone").val();
        let mobile = $("#mobile").val();
        let reference = $("#reference").val();
        let sentBy = $("#staffOptionList").val();
        let followUpBy = $("#followUpOptionList").val();
        let quoteDate = $("#quoteDate").val();
        let validDate = $("#validDate").val();
        let followUpDate = $("#followUpDate").val();
        let internalComments = $("#internalComments").val();
        let externalComments = $("#externalComments").val();

    // Iterate over each row in the table
    $('#addStyleItems tbody tr').each(function() {
        let row = $(this);
        let line = row.data('style_item_line_no');
        let style = row.data('style_item');
        let exist = row.data('style_item_exists') || 0;
        let confirm = row.data('style_item_confirm') || 0;
        let status = row.find('td:eq(2) select').val() === '1' ? 1 : 0;
        let all = row.find('.all-check').is(':checked') ? 1 : 0;
        let uplift = row.find('.uplift-check').is(':checked') ? 1 : 0;
        let price = parseFloat(row.find('td:eq(3)').text().replace('£', ''));
        let del = row.find('.style-item-delete-checkbox').is(':checked') ? 1 : 0;

        let rowData = {
            Line: parseInt(line),
            Style: style,
            Status: status,
            All: all,
            Uplift: uplift,
            Price: price,
            Del: del,
            Exist: exist,
            Confirm: confirm
        };

        quotationLineSave.push(rowData);
    });

    // Prepare the data to send
    let dataToSend = {
        quotationNo: quoteNo,
        Customer: customerId,
        Addr: "",
        quotationHeaderSave: {
            Address: address,
            Contact: contract,
            Email: email,
            Telephone: telephone,
            Mobile: mobile,
            Reference: reference,
            SentBy: sentBy,
            FollowUpBy: followUpBy,
            QuoteDate: quoteDate,
            ValidDate: validDate,
            FollowUpDate: followUpDate,
            InternalComments: internalComments,
            ExternalComments: externalComments
        },
        quotationLineSave: quotationLineSave
    };

    console.log('Data to be sent:');
    console.log(JSON.stringify(dataToSend)); // For debugging

    // Submit data using $.ajax
    $.ajax({
        url: 'controller/save_final_quotation.php', // Replace with the actual endpoint URL
        type: 'POST',
        contentType: 'application/json',
        data: JSON.stringify(dataToSend),
        success: function (response) {
            console.log('Data saved successfully:', response);
            let parsedResponse = typeof response === 'string' ? JSON.parse(response) : response;
            if (parsedResponse.status) {
                alert(parsedResponse.message);
                window.location.reload();
            }
        },
        error: function (xhr, status, error) {
            console.error('Error:', error);
            console.error('Status:', status);
            console.dir(xhr);
        }
    });
}




    // Function to calculate margin
    function calculateMargin(bulkDisc, purchasePrice) {
        return ((parseFloat(bulkDisc) - parseFloat(purchasePrice)) / parseFloat(bulkDisc)) * 100;
    }

    // Update margin when Bulk_Disc1 or PurchasePrice changes
    function updateMarginCounts() {
        let purchasePrice = parseFloat($("#PurchasePrice").val()); // Assuming PurchasePrice is in an input field with id PurchasePrice
        
        let bulkDisc1 = parseFloat($("#Bulk_Disc1").val());
        let bulkDisc2 = parseFloat($("#Bulk_Disc2").val());
        let bulkDisc3 = parseFloat($("#Bulk_Disc3").val());
        let bulkDisc4 = parseFloat($("#Bulk_Disc4").val());

        let margin1 = calculateMargin(bulkDisc1, purchasePrice);
        let margin2 = calculateMargin(bulkDisc2, purchasePrice);
        let margin3 = calculateMargin(bulkDisc3, purchasePrice);
        let margin4 = calculateMargin(bulkDisc4, purchasePrice);

        $("#Margin_Count1").val(margin1.toFixed(2)); // toFixed(2) to keep 2 decimal places
        $("#Margin_Count2").val(margin2.toFixed(2));
        $("#Margin_Count3").val(margin3.toFixed(2));
        $("#Margin_Count4").val(margin4.toFixed(2));
    }



});
</script>